Bug 120103 - yum installs i386 packages as requirement for x86_64 kdenetwork package
Summary: yum installs i386 packages as requirement for x86_64 kdenetwork package
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-06 00:20 UTC by Mark Lane
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 06:06:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Lane 2004-04-06 00:20:58 UTC
Description of problem:
It looks like there's a dependancy problem with x86_64 package of
kdenetwork as it seems to require i386 packages to run.

Version-Release number of selected component (if applicable):
kdenetwork 7:3.2.1-2.x86_64
yum-2.0.6-1

How reproducible:
Well I haven't tried to repeat this one.


Steps to Reproduce:
1. Install or Upgrade to Fedora Core 2 without kdenetwork installed
2. setup yum to install both x86_64 and i386 packages as needed
3. yum install kdenetwork
  
Actual results:
04/05/04 13:34:14 Installed: kdenetwork 7:3.2.1-2.x86_64
04/05/04 13:34:14 Dep Installed: pilot-link 1:0.11.8-3.1.i386
04/05/04 13:34:14 Dep Installed: kdelibs 6:3.2.1-1.4.i386
04/05/04 13:34:14 Dep Installed: readline 4.3-10.1.i386
04/05/04 13:34:14 Dep Installed: kdepim 6:3.2.1-2.i386
04/05/04 13:34:14 Dep Installed: coreutils 5.2.1-3.x86_64
04/05/04 13:34:14 Dep Installed: libxslt 1.1.4-1.1.i386


Expected results:
04/05/04 13:34:14 Installed: kdenetwork 7:3.2.1-2.x86_64
04/05/04 13:34:14 Dep Installed: coreutils 5.2.1-3.x86_64
.. the other packages are installed as x86_64

Additional info:
I don't believe this is yum problem. It did however seem break
kio-pop3 which wouldn't load. I reinstalled the x86_64 packages and
removed the kdecache from /var/tmp and reboot and now kio-pop3 starts
again.

Comment 1 Ngo Than 2004-04-06 20:42:32 UTC
i don't think kdenetwork can cause such problem. then 'rpm -qp
--requires kdenetwork' output does not show such dependency. It's a
bug in yum


Comment 2 Seth Vidal 2004-04-07 12:23:39 UTC
not sure this is a bug in yum - were the required packages in the
repository you were using for x86_64.

in my testing yum chooses the bettter arch whne it's available.

also - did you have these packages installed on your system before?
and what was the arch on the packages before?

Comment 3 Mark Lane 2004-04-07 15:10:16 UTC
All the required packages were x86_64 and installed from x86_64 
repository prior to the kdenetwork install. 

Comment 4 Seth Vidal 2004-11-01 19:37:55 UTC
is this still happening?


Comment 5 Mark Lane 2004-11-01 19:47:42 UTC
I don't think so. This is the only time I have seen this problem so 
it may be fixed. 


Note You need to log in before you can comment on or make changes to this bug.